dnl @synopsis PETI_WITH_DMALLOC
dnl @version 1.9 (last modified: 2003-01-15)
dnl @author Peter Simons <simons@cryp.to>
dnl
dnl Let the user enable/disable dmalloc library support. See
dnl <http://www.dmalloc.org/> for further details.
dnl
dnl Calling this macro defines a user command-line flag
dnl "--with-dmalloc". Furthermore, "-IPREFIX/include" will
dnl be added to "$CPPFLAGS", "-LPREFIX/lib" to "$LDFLAGS",
dnl and "-DDEBUG_DMALLOC" and "-DDMALLOC_FUNC_CHECK" to
dnl "$CPPFLAGS".
dnl
dnl To enable dmalloc support in your code, add this snippet
dnl to tho appropriate header files:
dnl
dnl   #ifdef DEBUG_DMALLOC
dnl   #  include <dmalloc.h>
dnl   #endif
dnl
AC_DEFUN([PETI_WITH_DMALLOC], [
AC_MSG_CHECKING(whether to use the dmalloc library)
AC_ARG_WITH(dmalloc,
[  --with-dmalloc[=PREFIX]  Compile with dmalloc library],
if test "$withval" = "" -o "$withval" = "yes"; then
    ac_cv_dmalloc="/usr/local"
else
    ac_cv_dmalloc="$withval"
fi
AC_MSG_RESULT(yes)
CPPFLAGS="$CPPFLAGS -DDEBUG_DMALLOC -DDMALLOC_FUNC_CHECK -I$ac_cv_dmalloc/include"
LDFLAGS="$LDFLAGS -L$ac_cv_dmalloc/lib"
LIBS="$LIBS -ldmalloc"
,AC_MSG_RESULT(no))
])dnl
