dnl @synopsis PETI_ENABLE_DYNAMIC_LINK
dnl @version 1.2 (last modified: 2003-01-15)
dnl @author Peter Simons <simons@cryp.to>
dnl
dnl Add a command-line flag to enable/disable dynamic linking.
dnl
dnl Calling this macro adds the flag "--enable-dynamic-link"
dnl to command-line. When disabled, the compiler/linker flag
dnl "-static" is added to "$LDFLAGS". The default is dynamic
dnl linkage.
dnl
AC_DEFUN([PETI_ENABLE_DYNAMIC_LINK], [
AC_MSG_CHECKING(what kind of binaries we shall create)
AC_ARG_ENABLE(dynamic-link,
[  --enable-dynamic-link   Create dynamically-linked binaries (default)],
if test "$enableval" = "yes"; then
    AC_MSG_RESULT(dynamically linked)
else
    LDFLAGS="$LDFLAGS -static"
    AC_MSG_RESULT(statically linked)
fi,
AC_MSG_RESULT(dynamically linked))
])dnl
