#! /usr/bin/perl
#
# Scan all subdirectories and create the apropriate index list.
# Scan the arguments and build a proper website from the input.
#
# $Header: /cvsroot/ac-archive/ac-archive-5/gendocs.pl,v 1.16 2005/01/17 05:58:33 guidod Exp $
#
package GenDocsMain;
use strict;
use gendocs;

for (@ARGV)
{
    next if GenDocs::scan_option($_);
    if (/[.]htm$/) { GenDocs::scan_docus_file($_); }
    elsif (/[.]m4$/) { GenDocs::scan_macro_file($_); }
    elsif (/[.]txt$/) { GenDocs::scan_extra_file($_); }
};                      GenDocs::scan_extra_data(\*GenDocsMain::DATA);

GenDocs::parse_docus();
GenDocs::scan_subdirs();
GenDocs::gen_macro_pages();
GenDocs::parse_extra_defs();
GenDocs::fixup_extra_defs();
GenDocs::search_index_words();
GenDocs::search_index_body("search.html");
GenDocs::macro_categories();
GenDocs::index_categories();
GenDocs::mark_navi_pages();
GenDocs::gen_index_pages();
GenDocs::gen_index_frontpage();
GenDocs::build_indexhtml();
GenDocs::generate_output();

1;

__DATA__
# this one has a verrrry simple format...
GNU webref 
     http://www.gnu.org/software/ac-archive/htmldoc/
GNU archive
     GNU~AC-Archive
GNUs C++_Support
     index.html#CXX_SUPPORT
GNUs C_Support
     index.html#C_SUPPORT
GNUs Cross_Compilation
     index.html#CROSS_COMPILATION
GNUs Fortran_Support
     index.html#FORTRAN_SUPPORT
GNUs Java_Support
     index.html#JAVA_SUPPORT
GNUs Installed_Packages
     index.html#INSTALLED_PACKAGES
GNUs Miscellaneous
     index.html#MISC
INFO C++_Support
     Testing capabilities of the C++~compiler
INFO C_Support
     Testing capabilities of the C~compiler
INFO Cross_Compilation
     Useful test in a cross-compilation environment
INFO Fortran_Support
     Tests related to Fortran~development
INFO Java_Support
     Tests related to Java~development
INFO Installed_Packages
     Finding 3rd-party software<//> 
     that may be installed on the machine
INFO Miscellaneous
     Everything that didn't fit into any other~category
INFO System_Headers
     Testing properties of the system's header~files and~libraries
INFO System_Utilities
     Finding system utilities and properties~of~them
INFO Build_Tools
     Useful tools that extend Autoconf or the build~infrastructure
INFO obsoleted
     Obsolete Macros that will~expire~soon
SHORT title
     AC-Archive
HTML style
    a:link          { text-decoration : none ; color : #000080 ; }
    a:visited       { text-decoration : none ; color : #200060 ; }
HTML sfnetimage
    <big><big><a href="http://ac-archive.sf.net">
       <font color="#4000C0"><b>AC</b><small>-</small><i>Archive</i></font>
    </a></big></big>
    <br /><small>Autoconf Macro Archive</small>
HTML gnuorgimage
    <a href="http://sourceforge.net/projects/ac-archive">
        <IMG src="gnu-head-sm.jpg" alt="Project" />
    </a>
HTML sfnetlinks
    <A href="http://ac-archive.sf.net">ac-archive.sf.net:</A>
    - <A href="http://sf.net/projects/ac-archive/">Project</A>
      <A href="http://sf.net/cvs/?group_id=32081">CVS</A>
    - <A href="http://sf.net/project/showfiles.php?group_id=32081">
                                    Download</A>
HTML sfbutton
      <a href="http://sourceforge.net/projects/ac-archive">
        <IMG src="http://sourceforge.net/sflogo.php?group_id=32081&type=1"
        width="88" height="31" border="0" alt="SourceForge Logo" /></a>
HTML sfversion
      <!--VERSION-->*
INTRO guidod/index.html
     <br />
     <center>
     <img src="http://freespace.sourceforge.net/guidod/photo/pp209_4.jpg"
          width="95" height="137" border="0" alt="guidod photo" />
     <br /><small>
        <a href="mailto:guidod@gmx.de?subject=ac-macro">guidod@gmx.de</a>
     </small>
     </center>
INTRO djmitche/index.html
     <br />
     <center><a href="http://www.modpython.org">
     <img src="http://www.modpython.org/mod_python.gif"
          width="268" height="164" border="0" alt="modpython.org" /></a>
     <br /><small>and</small><br /><b>
        <a href="http://sourceforge.net/users/djmitche/">Dustin Mitchell</a>
     </b>
     </center>
INTRO macros.html
     <p>~</p>
     <p><a href="introduction.html"><b>Welcome Friend,</a></b></p>

     <p class="justify"><span class="justify">~
      I'd like to say one small thing beforehand:
      <a href="contribute.html"><em>Please contribute!'</em></a>
      Much effort has been put into this place,
      in the hope that it will be useful to as many people as possible.
     </span></p>

     <p class="justify"><span class="justify">~
      Curiously enough, many people seem to be scared away by the idea
      that "their macro is not good enough to be published". Try to look at
      it this way: Nobody is perfect.
     </span></p>

     <p class="justify"><span class="justify">~
      Nobody is flamed for minor stylistic deficiency in any 
     <a href="http://www.gnu.org/software/autoconf">ac~macro</a>
      published here. - <em>Au~contraire, do you know any better way to get
      your code debugged for free by several hundred volunteers? :-)</em>
      ~<a href="introduction.html"><b>[&gt;&gt;]</b></a>
     </span></p>
ADD djmitche/ax_python_config_var.m4
    System Utilities
ADD djmitche/ax_with_python.m4
    System Utilities
ADD djmitche/ax_with_apxs.m4
    System Utilities
ADD braden/ax_check_gl.m4
    Installed Packages
ADD braden/ax_check_glut.m4
    Installed Packages
ADD pakin/ax_check_page_aligned_malloc.m4
    System Headers
ADD pakin/ax_require_one_func.m4
    System Headers
ADD pakin/ax_func_posix_memalign.m4
    System Headers
